Skip to main content

Return Wrapper With QC Api

The Return Wrapper API is used to create a return/reverse pickup order. It supports Quality Check (QC) enabled returns, where QC-related product information, including product images and item attributes, can be provided as part of the request.

Basic Information

ParameterDetails
API NameReturn Wrapper API
MethodPOST
Endpointhttps://api.rapidshyp.com/rapidshyp/apis/v1/return_wrapper
Content-Typeapplication/json
Authenticationrapidshyp-token
QC SupportYes

Curl:​

curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/return_wrapper' \
--header 'rapidshyp-token: <YOUR_RAPIDSHYP_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"orderId": "return_wrap_qc_uat_23",
"orderDate": "2026-08-15",
"is_qc_enabled": true,
"pickupLocation": {
"pickup_customer_name": "DO EPIC SHISP",
"pickup_customer_last_name": "DO EPIC SHSIPP",
"pickup_email": "avdhesh@omlogistics.com",
"pickup_phone": "9999999999",
"pickup_address": "abGGG",
"pickup_address_2": "GG",
"pickup_pincode": "110001"
},
"storeName": "",
"return_reason_code": "",
"deliveryAddress_name": "",
"deliveryAddress": {
"deliverylocation_name": "RAPIDSHYP",
"contact_name": "Abhinavqaqa",
"delivery_address1": "abxhA hhhhhhhhhhhhhd gggggggggg",
"delivery_address2": "abxAhd hhhhhhhhhhhhhh gggggb hhh h",
"pincode": "110001",
"delivery_email": "avdhesh.bhardwaj@omlogistics.co.in",
"delivery_phone": "9999999999"
},
"orderItems": [
{
"itemName": "ARP1TEST0023",
"sku": "ARPTEST10023",
"units": 2,
"unitPrice": 50.0,
"tax": 0.0,
"hsn": "HSN456",
"productLength": 11.0,
"productBreadth": 12.0,
"productHeight": 12.0,
"productWeight": 3.0,
"brand": "",
"serial_no": "",
"imei_no": "",
"images_name": [
"https://i.pinimg.com/736x/14/ec/3f/14ec3ff15e3335264723fe39fb9da735.jpg"
],
"color": "red",
"size": "L"
}
],
"packageDetails": {
"packageLength": 11.0,
"packageBreadth": 11.0,
"packageHeight": 11.0,
"packageWeight": 1000.0
},
"comment": "this is return api"
}'

Request Parameters:​

ParameterData TypeRequiredDescriptionExample
orderIdStringYesUnique identifier for the return order.return_wrap_qc_uat_23
orderDateStringYesDate on which the return order is created. Format: YYYY-MM-DD.2026-08-15
is_qc_enabledBooleanYesSpecifies whether Quality Check is enabled for the return order.true
pickupLocationObjectYesContains customer details and address from where the return shipment will be picked up.{...}
storeNameStringNoName of the store associated with the return order.ABC Store
return_reason_codeStringNoCode representing the reason for the return.DAMAGED
deliveryAddress_nameStringNoName associated with the delivery/return destination.RAPIDSHYP
deliveryAddressObjectYesContains details of the destination address for the returned shipment.{...}
orderItemsArrayYesList of products included in the return order.[{...}]
packageDetailsObjectYesContains package-level dimensions and weight.{...}
commentStringNoAdditional comments or remarks associated with the return order.this is return api

pickupLocation​

ParameterData TypeRequiredDescriptionExample
pickup_customer_nameStringYesFirst name of the customer from whom the return will be picked up.DO EPIC SHISP
pickup_customer_last_nameStringNoLast name of the pickup customer.DO EPIC SHSIPP
pickup_emailStringYesEmail address of the pickup customer.avdhesh@omlogistics.com
pickup_phoneStringYesContact number of the pickup customer.9999999999
pickup_addressStringYesPrimary pickup address.abGGG
pickup_address_2StringNoAdditional pickup address details.GG
pickup_pincodeStringYesPincode of the pickup location.110001

deliveryAddress​

ParameterData TypeRequiredDescriptionExample
deliverylocation_nameStringYesName of the delivery/return destination.RAPIDSHYP
contact_nameStringYesContact person at the destination.Abhinavqaqa
delivery_address1StringYesPrimary delivery address.abxhA...
delivery_address2StringNoAdditional delivery address information.abxAhd...
pincodeStringYesDestination pincode.110001
delivery_emailStringYesEmail address of the destination contact.avdhesh.bhardwaj@omlogistics.co.in
delivery_phoneStringYesContact number of the destination.9999999999

orderItems​

ParameterData TypeRequiredDescriptionExample
itemNameStringYesName or identifier of the product.ARP1TEST0023
skuStringYesStock Keeping Unit of the product.ARPTEST10023
unitsIntegerYesNumber of units being returned.2
unitPriceDecimalYesPrice of one unit of the product.50.0
taxDecimalNoTax applicable to the product.0.0
hsnStringNoHSN code of the product.HSN456
productLengthDecimalNoLength of the product.11.0
productBreadthDecimalNoBreadth of the product.12.0
productHeightDecimalNoHeight of the product.12.0
productWeightDecimalNoWeight of the product.3.0
brandStringNoBrand name of the product.Nike
serial_noStringNoSerial number of the product, if applicable.223ww
imei_noStringNoIMEI number, if applicable.123456789012345
images_nameArray[String]ConditionalURL(s) of product images. Particularly relevant when QC is enabled.["https://..."]
colorStringNoProduct color.red
sizeStringNoProduct size.L

packageDetails​

ParameterData TypeRequiredDescriptionExample
packageLengthDecimalYesLength of the return package.11.0
packageBreadthDecimalYesBreadth of the return package.11.0
packageHeightDecimalYesHeight of the return package.11.0
packageWeightDecimalYesWeight of the return package.1000.0

Response:​

{
"status": "SUCCESS",
"remark": "order created successfully.",
"order_id": "return_wrap_qc_uat_26",
"order_created": true,
"shipment": [
{
"awb_generated": true,
"pickup_generated": true,
"shipment_id": "RS2609126",
"awb_code": "RAPR2000000470",
"courier_company_id": "",
"parent_courier_name": "Ekart",
"courier_name": "Ekart Reverse QC",
"applied_weight": 1000,
"routing_code": "NOI",
"rto_routing_code": "NOI",
"pickup_token_number": "",
"pickup_scheduled_date": "12/09/2026",
"total_value": 100,
"shipment_items": [
{
"name": "ARP1TEST0023",
"sku": "ARPTEST10023",
"units": 2,
"selling_price": 100
}
]
}
]
}